DL_SymmetricEncryptionAlgorithm Class Referenceabstract

Interface for symmetric encryption algorithms used in DL cryptosystems. More...

`#include <pubkey.h>`

Inheritance diagram for DL_SymmetricEncryptionAlgorithm:

## Public Member Functions

virtual bool | ParameterSupported (const char *name) const
virtual size_t | GetSymmetricKeyLength (size_t plaintextLength) const =0
virtual size_t | GetSymmetricCiphertextLength (size_t plaintextLength) const =0
virtual size_t | GetMaxSymmetricPlaintextLength (size_t ciphertextLength) const =0
virtual void | SymmetricEncrypt (RandomNumberGenerator &rng, const byte *key, const byte *plaintext, size_t plaintextLength, byte *ciphertext, const NameValuePairs &parameters) const =0
virtual DecodingResult | SymmetricDecrypt (const byte *key, const byte *ciphertext, size_t ciphertextLength, byte *plaintext, const NameValuePairs &parameters) const =0

## Detailed Description

Interface for symmetric encryption algorithms used in DL cryptosystems.

See also
  DLIES, ECIES, ECIES_P1363

Definition at line 1504 of file pubkey.h.

## Constructor & Destructor Documentation

## ~DL_SymmetricEncryptionAlgorithm()

virtual DL_SymmetricEncryptionAlgorithm::~DL_SymmetricEncryptionAlgorithm | ( |  | ) |

inline virtual

Definition at line 1507 of file pubkey.h.

## Member Function Documentation

## ParameterSupported()

virtual bool DL_SymmetricEncryptionAlgorithm::ParameterSupported | ( | const char * | name | ) | const

inline virtual

Definition at line 1509 of file pubkey.h.

The documentation for this class was generated from the following file:

- pubkey.h